Update Applicant: Rent Manager
https://api.propexo.com/v1/applicants/rentmanager/:applicant_id| Method |
|---|
| POST /Prospects |
Authentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Request
This endpoint expects an object.
The last name associated with the applicant
The first name associated with the applicant
The middle name associated with the applicant
The primary email address associated with the applicant
The date of birth associated with the applicant
The first address line associated with the applicant
The city associated with the applicant
The state associated with the applicant
The zip code associated with the applicant
Notes associated with the applicant
Response
Successful response
meta objectrequired
result objectrequired
The Propexo unique identifier for the applicant
The last name associated with the applicant
The first name associated with the applicant
The middle name associated with the applicant
The primary email address associated with the applicant
The date of birth associated with the applicant
The first address line associated with the applicant
The city associated with the applicant
The state associated with the applicant
The zip code associated with the applicant
Notes associated with the applicant
Errors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl -X PUT https://api.propexo.com/v1/applicants/rentmanager/:applicant_id \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"last_name": "string"
}'
{
"meta": {
"job_id": "string"
},
"result": {
"applicant_id": "string",
"last_name": "string",
"first_name": "string",
"middle_name": "string",
"date_of_birth": "2024-07-29T15:51:28.071Z",
"address_1": "string",
"city": "string",
"state": "string",
"zip": "string",
"notes": "string"
}
}